"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.optionsIismService = exports.optionsGetChannels = exports.optionsGetChannel = exports.options3 = exports.options2 = exports.hostSocket = exports.host = exports.clientRpcJsonIismService = exports.clientRpcJsonIismSerial = exports.clientRpcJsonIismGetChannels = exports.clientRpcJsonIismGetChannel = exports.clientRpcJsonIism = exports.SupportedChannels = void 0;

var _RcpJsonClient = _interopRequireDefault(require("./RcpJsonClient"));

var _os = _interopRequireDefault(require("os"));

var host = 'http://127.0.0.1';
exports.host = host;
var hostSocket = "https://portal.iism.de";
exports.hostSocket = hostSocket;
console.log(_os["default"].hostname());

if (_os["default"].hostname() === "MacBook-Pro-4.local" || _os["default"].hostname() === "MacBook-Pro-4.fritz.box" || _os["default"].hostname() === "iism-mac.fritz.box" || _os["default"].hostname() === "MacBook-Pro-5.fritz.box") {
  exports.host = host = 'http://192.168.188.30';
  exports.hostSocket = hostSocket = "https://portal.iism-local.de:3001";
}

console.log(host, hostSocket);
var options2 = {
  port: 80,
  host: host,
  path: '/addons/iism/bin/poll.cgi',
  strict: true
};
exports.options2 = options2;
var optionsGetChannels = {
  port: 80,
  host: host,
  path: '/addons/iism/bin/GetChannels.cgi',
  strict: true
};
exports.optionsGetChannels = optionsGetChannels;
var optionsGetChannel = {
  port: 80,
  host: host,
  path: '/addons/iism/bin/GetChannel.cgi',
  strict: true
};
exports.optionsGetChannel = optionsGetChannel;
var options3 = {
  port: 80,
  host: host,
  path: '/addons/iism/bin/serial.cgi',
  strict: true
};
exports.options3 = options3;
var optionsIismService = JSON.parse(JSON.stringify(options2));
exports.optionsIismService = optionsIismService;
optionsIismService.path = "/addons/iism/bin/iism.cgi";
var clientRpcJsonIism = new _RcpJsonClient["default"](options2);
exports.clientRpcJsonIism = clientRpcJsonIism;
var clientRpcJsonIismSerial = new _RcpJsonClient["default"](options3);
exports.clientRpcJsonIismSerial = clientRpcJsonIismSerial;
var clientRpcJsonIismGetChannels = new _RcpJsonClient["default"](optionsGetChannels);
exports.clientRpcJsonIismGetChannels = clientRpcJsonIismGetChannels;
var clientRpcJsonIismGetChannel = new _RcpJsonClient["default"](optionsGetChannel);
exports.clientRpcJsonIismGetChannel = clientRpcJsonIismGetChannel;
var clientRpcJsonIismService = new _RcpJsonClient["default"](optionsIismService);
exports.clientRpcJsonIismService = clientRpcJsonIismService;
var SupportedChannels = {
  "CLIMATECONTROL_FLOOR_TRANSCEIVER": true,
  "SHUTTER_CONTACT": true,
  "SWITCH_TRANSMITTER": true,
  "CLIMATE_TRANSCEIVER": true,
  "HEATING_CLIMATECONTROL_TRANSCEIVER": true,
  "COND_SWITCH_TRANSMITTER_TEMPERATURE": true,
  "BLIND_TRANSMITTER": true,
  "SHUTTER_TRANSMITTER": true,
  "BRIGHTNESS_TRANSMITTER": true,
  "PRESENCEDETECTOR_TRANSCEIVER": true,
  "SWITCH_VIRTUAL_RECEIVER": true,
  "DIMMER_VIRTUAL_RECEIVER": true
};
exports.SupportedChannels = SupportedChannels;