##
# Interface.addDevice
# Lernt ein Gert anhand seiner Seriennummer an die HomeMatic Zentrale an.
#
# Parameter:
#   interface:    [string] Bezeichnung der Schnittstelle
#   serialNumber: [string] Seriennummer des Gerts
#
# Rckgabewert: [object]
#   Gertebeschreibung des angelernten Gerts.
##

set serialNumber $args(serialNumber)

checkXmlRpcStatus [catch {set device [xmlrpc $interface(URL) addDevice [list string $serialNumber]] }]

jsonrpc_response [getDeviceDescription $device]
