##
# Interface.addLink
# Erstellt eine direkte Gerteverknpfung.
#
# Parameter:
#   interface:   [string] Bezeichnung der Schnittstelle
#   sender:      [string] Adresse des Senders
#   receiver:    [string] Adresse des Emfngers
#   name:        [string] Bezeichnung der Verknpfung
#   description: [string] Beschreibung der Verknpfung
#
# Rckgabewert: [boolean]
#   true
##

set sender      $args(sender)
set receiver    $args(receiver)
set name        $args(name)
set description $args(description)

checkXmlRpcStatus [catch {xmlrpc $interface(URL) addLink [list string $sender] [list string $receiver] [list string $name]  [list string $description] }]

jsonrpc_response true