##
# Interface.getKeyMissmatchDevice
# Liefert die Seriennummer des letzten Gerts, das nicht angelernt werden konnte.
#
# Parameter:
#   interface: [string]  Bezeichnung der Schnittstelle
#   reset:     [boolean] Setzt diese Information in der Schnittstelle zurck (true)
#
# Rckgabewert: [string]
#   Seriennummer des betreffenden Gerts
##

set reset $args(reset)
if { (1 == $reset) || ("true" == $reset) } then { set reset 1 } else { set reset 0 }

checkXmlRpcStatus [catch {set serial [xmlrpc $interface(URL) getKeyMissmatchDevice [list bool $reset]] }]

jsonrpc_response $serial
