##
# Interface.updateFirmware
# Fhrt das Firmware-Update eines Gerts durch. 
#
# Im Gegensatz zur XML-RPC-Version kann hier lediglich ein Gert angegeben werden.
#
# Parameter:
#   interface: [string] Bezeichnung der Schnittstelle
#   device:     Seriennummer des betreffenden Gertes
#
# Rckgabewert: [boolean]
#   Enthlt fr jedes Gert die Information, ob das Update erfolgreich war.
##

set device $args(device)

checkXmlRpcStatus [catch {set result [xmlrpc $interface(URL) updateFirmware  [list string $device]] }]

jsonrpc_response [toJSONBoolean $result]