import RcpJsonClient from './RcpJsonClient';
import os from 'os';
export let host = 'http://127.0.0.1'
export let hostSocket = "https://portal.iism.de";
console.log(os.hostname())
if (os.hostname() === "MacBook-Pro-4.local" || os.hostname() === "MacBook-Pro-4.fritz.box" || os.hostname() === "iism-mac.fritz.box" || os.hostname() === "MacBook-Pro-5.fritz.box") {
  host = 'http://192.168.188.30'
  hostSocket = "https://portal.iism-local.de:3001"
}
console.log(host, hostSocket)
export const options2 = {
  port: 80,
  host,
  path: '/addons/iism/bin/poll.cgi',
  strict: true
};
export const optionsGetChannels = {
  port: 80,
  host,
  path: '/addons/iism/bin/GetChannels.cgi',
  strict: true
};
export const optionsGetChannel = {
  port: 80,
  host,
  path: '/addons/iism/bin/GetChannel.cgi',
  strict: true
};
export const options3 = {
  port: 80,
  host,
  path: '/addons/iism/bin/serial.cgi',
  strict: true
};

export let optionsIismService = JSON.parse(JSON.stringify(options2))
optionsIismService.path = "/addons/iism/bin/iism.cgi"
export const clientRpcJsonIism = new RcpJsonClient(options2);
export const clientRpcJsonIismSerial = new RcpJsonClient(options3);
export const clientRpcJsonIismGetChannels = new RcpJsonClient(optionsGetChannels);
export const clientRpcJsonIismGetChannel = new RcpJsonClient(optionsGetChannel);
export const clientRpcJsonIismService = new RcpJsonClient(optionsIismService);

export const SupportedChannels = {
  "CLIMATECONTROL_FLOOR_TRANSCEIVER": true,
  "SHUTTER_CONTACT": true,
  "SWITCH_TRANSMITTER": true,
  "CLIMATE_TRANSCEIVER": true,
  "HEATING_CLIMATECONTROL_TRANSCEIVER": true,
  "COND_SWITCH_TRANSMITTER_TEMPERATURE": true,
  "BLIND_TRANSMITTER": true,
  "SHUTTER_TRANSMITTER": true,
  "BRIGHTNESS_TRANSMITTER": true,
  "PRESENCEDETECTOR_TRANSCEIVER": true,
  "SWITCH_VIRTUAL_RECEIVER": true,
  "DIMMER_VIRTUAL_RECEIVER": true,
}
