##
# Interface.changeDevice
# Lscht ein Gert aus der Schnittstelle
#
# Parameter:
#   interface: [string]  Bezeichnung der Schnittstelle
#   addressNewDevice:  [string]  Adresse des logischen Gerts
#   addressOldDevice:  [string]  Adresse des logischen Gerts
#
# Rckgabewert: [boolean]
#   true (Falls der Tausch nicht vollzogen werden kann, tritt eine Exception auf)
##

set addressOld $args(addressOldDevice)
set addressNew $args(addressNewDevice)

checkXmlRpcStatus [catch {xmlrpc $interface(URL) replaceDevice [list string $addressOld] [list string $addressNew] }]

jsonrpc_response true
