##
# Interface.getDeviceDescription
# Liefert die Beschreibung eines logischen Gerts.
#
# Parameter:
#   interface: [string] Bezeichnung der Schnittstelle
#   address:   [string] Adresse des logischen Gerts
#
# Rckgabewert: [object]
#   Gertebeschreibung.
##

set address $args(address)

checkXmlRpcStatus [catch { set device [xmlrpc $interface(URL) getDeviceDescription [list string $address]] }]

jsonrpc_response [getDeviceDescription $device]
