#!/bin/tclsh
package require HomeMatic

proc read_var { filename varname} {
    set fd [open $filename r]
    set var ""
    if { $fd >=0 } {
        while { [gets $fd buf] >=0 } {
          if [regexp "^ *$varname *= *(.*)$" $buf dummy var] break
        }
      close $fd
    }
    return $var
}

proc get_serial { } {
    return [read_var /var/ids SerialNumber]
}
proc get_bios { } {
    return [read_var /var/ids BidCoS-Address]
}
puts -nonewline "Content-Type: application/json; charset=utf-8\r\n\r\n"
puts "{\"serial\":\"[get_serial]\", \"BidCoS-Address\":\"[get_bios]\"}"
